#
# spec file for package rubygem-camping
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-camping
Version:        2.1.532
Release:        2.3
%define mod_name camping
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.8.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://camping.rubyforge.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        minature rails for stay-at-home moms
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
minature rails for stay-at-home moms.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG COPYING README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.1.532
* Wed Mar 20 2013 coolo@suse.com
- updated to version 2.1.531
* Thu Sep 13 2012 coolo@suse.com
- updated to version 2.1.523
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.1.467
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 2.0
  * Speed-up of Camping::Mab (thanks zimbatm!)
  * @state is now an alias of @env['rack.session']
  * Camping.use injects a Rack middleware.
  * Update Flipbook to RDoc 2.4
  * Removed old examples.
  * Updated examples/blog.rb
  * Camping::Apps returns!
  * Session-cookies now timeout naturally (thanks jenna!)
  * You can now `throw :halt` to halt the response in a helper.
  * Camping::H#u is gone (was an alias to merge!)
  * Camping::Session now uses session-cookies. The AR-backend is
    gone for now.
  * camping/db.rb has been renamed to camping/ar.rb.
  * Camping now uses Rack internally. Every app responds to #call.
  * Camping::Apps removed, it wasn't reliable.
  * bin/camping server kinds splitted in various files.
  * NotFound and ServerError controllers changed to methods :
    r404 : called when a controller was not found
    r500 : called on uncaught exception
    r501 : called on undefined method
    All of those can be overridden at your taste.
  * Markaby no longer required. Like AR, is it autoloaded on (Mab)
    usage.
  * Camping::H is now inheriting from Hash instead of
    HashWithIndifferentAccess.
  * Which made possible to remove the last strict dependency :
    active_support
  * #errors_for removed, it wasn't really used
  * Bug fixes !
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.5.180
* Sun Aug 19 2007 mrueckert@suse.de
- spec file cleanup
* Sun Oct 15 2006 mrueckert@suse.de
- update to version 1.5:
  many small fixes and enhancements
- symlink manpage into the mandir
